# Dealing with Gin

introduction to how to deal with gin (web interface, command-line, and probably WinGIN GUI).

1. **What is Gin? (A cultural background)**
    - Git, a version-control system
    - Management of large files using git-annex
    - GitHub concepts: Markdown, collaboration, issues
    - [Play with Sandbox](intro/sandbox.md)
2. **Web interface**
    - [Cannot see a repository?](web-interface/cannot-see-a-repo.md)
    - [Dashboard: how to use](web-interface/dashboard.md)
    - [Browsing a repository](web-interface/browsing.md)
    - [Downloading files](web-interface/downloading.md)
    - [Uploading and editing files](web-interface/uploading-editing/README.md)
    - [Collaborating with others](web-interface/collaboration.md)
3. **gin-cli**
    - [Where to find basic information](gin-client/basics.md)
    - [Setting up for the wired network in Charité](gin-client/Charite-network.md)
    - (Advanced) Dealing with [what is annexed, and what is not](https://git-annex.branchable.com/tips/largefiles/)
    - [**Tips**](gin-client/tips.md)
    - [**troubleshooting**](gin-client/troubleshooting.md)
4. **WinGIN (GUI on Windows)**
    - What WinGIN does
    - Download and setup
    - Adding a repository
    - Synchronizing the local repository with the remote
5. **Using another git application**
    - [Restriction to small files](git-applications/README.md)
    - [Rstudio](git-applications/rstudio.md)

Book version link: https://bookdown.org/connect/#/apps/3999